%define aurox_ver 10.2
%define rel 1

%define mozilla_version 1.7.5
%define mozilla_epoch 37
%define extension_name mozex

Summary: support for extra configuration of Mozilla
Name: mozilla-%{extension_name}
Version: 1.0.7
Release: %{aurox_ver}.aur.%{rel}
License: MPL
URL: http://mozex.mozdev.org/
Source: http://downloads.mozdev.org/mozex/mozex-1.07.xpi
Group: Applications/Internet
BuildRoot: %{_tmppath}/%{name}-root
Requires: mozilla = %{mozilla_epoch}:%{mozilla_version}, mozilla >= %{mozilla_version}-9.1.aur.2
BuildPreReq: unzip

%description
An extension which allows the user to use external programs for performing these actions
in Mozilla:

    * view page source
    * edit content of textareas (possibly utilizing a spell-checker in the text editor)
    * handle mailto, news, telnet and FTP links
    * download files

%prep
%setup -q -T -c -n %{name}-%{version}
unzip %{SOURCE0}
# Howto hack archives:
#unzip mozex.jar
#mv -f content/mozex/pref-mozex.xul content/mozex/pref-mozex.xul.old
#sed -e 's#<textbox id="prefMozexMailer"#<textbox id="prefMozexMailer" value="/usr/bin/evolution mailto:%a?subject=%s"#' \
#    -e 's#<checkbox id="prefMozexInterceptMailto"#<checkbox id="prefMozexInterceptMailto" value="true"#' \
#  content/mozex/pref-mozex.xul.old > content/mozex/pref-mozex.xul
#rm -f content/mozex/pref-mozex.xul.old
#rm -f mozex.jar
#zip -r mozex.jar content

%build
cat > ext-%{extension_name}.jar.txt <<EOF
content,install,url,jar:resource:/chrome/mozex.jar!/content/mozex/
EOF

%install
rm -rf $RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT/usr/lib/mozilla-%{mozilla_version}/chrome/ext

cp -f %{extension_name}.jar $RPM_BUILD_ROOT/usr/lib/mozilla-%{mozilla_version}/chrome/%{extension_name}.jar
cp -f ext-%{extension_name}.jar.txt $RPM_BUILD_ROOT/usr/lib/mozilla-%{mozilla_version}/chrome/ext

%clean
rm -rf $RPM_BUILD_ROOT

%post
# run ldconfig before regxpcom
/sbin/ldconfig >/dev/null 2>/dev/null
if [ -f /usr/lib/mozilla-%{mozilla_version}/mozilla-rebuild-databases.pl ]; then
    /usr/lib/mozilla-%{mozilla_version}/mozilla-rebuild-databases.pl
fi

%postun
/sbin/ldconfig >/dev/null 2>/dev/null
if [ -f /usr/lib/mozilla-%{mozilla_version}/mozilla-rebuild-databases.pl ]; then
    /usr/lib/mozilla-%{mozilla_version}/mozilla-rebuild-databases.pl
fi

%files
%defattr(-,root,root)
/usr/lib/mozilla-%{mozilla_version}/chrome/*.jar
/usr/lib/mozilla-%{mozilla_version}/chrome/ext/*.txt
#/usr/lib/mozilla-i18n-%{version}/*

%changelog
* Mon Feb 07 2005 Aurox Team <aurox@aurox.org> 0:1.0.7-10.2.aur.1


* Thu Oct 07 2004 Aurox Team <aurox@aurox.org> 0:1.0.7-10.1.aur.2
- build for mozilla-1.7.3
- mozilla version is 1.7.1
- rebuild for mozilla-1.7
- add required mozilla epoch

* Mon Jul 07 2003 Robert Glowczynski <robertg@software.com.pl> 1.0.3-9.1.aur.3
- set default mailer to evolution, intercept mailto clicks

* Thu Jul 03 2003 Robert Glowczynski <robertg@software.com.pl> 1.0.3-9.1.aur.1
- Initial package - idea based on Red Hat's language handling
